Subject: Re: [PATCH v2 9/9] fetch: allow explicit --refmap to override configuration

From: Marc Branchaud <[email-masked]>
Date: Thu, 05 Jun 2014 11:45:49 -0400

On 14-06-04 06:28 PM, Junio C Hamano wrote:
> Marc Branchaud <[email-masked]> writes:
> 
>>> Teach the command to pay attention to the --refmap=<lhs>:<rhs>
>>> command-line options that can be used to override the use of
>>> configured remote.*.fetch as the refmap.
>>
>> (Your 0/9 message merely said "The new patches at the
>> end clarifies how remote.*.fetch configuration variables are used in
>> two conceptually different ways." so I was not expecting fetch to get a new
>> option.)
> 
> This is more about conceptual consistency & completeness than new
> and useful addition, in that configured values and the feature they
> enable ought to be expressible and overridable from the command line
> options but we so far lacked a way to trigger the "do not affect
> what gets fetched, only affect where they go locally" feature, which
> is offered by the second way to use remote.*.fetch variable.  I do
> not think we absolutely need it and that is why it is at the end as
> an optional addition.

Ah, OK.

I don't have any objection to the option per se.  But I do wonder if there's
a need to add yet another knob to git just for completeness.  Has anyone ever
needed this?

		M.